Bug 801058 - Review Request: fcitx-cloudpinyin - Cloudpinyin module for fcitx
Review Request: fcitx-cloudpinyin - Cloudpinyin module for fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:11 EST by Liang Suilong
Modified: 2012-06-05 19:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 19:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2012-04-26 10:34:23 EDT
Review:-
+ koji scratch build for f17 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4024897

+ rpmlint on rpms gave
fcitx-cloudpinyin.src: W: spelling-error %description -l en_US Cloulpinyin -> Cloudiness
fcitx-cloudpinyin.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-cloudpinyin.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-cloudpinyin-0.2.0.tar.bz2 HTTP Error 404: Not Found
fcitx-cloudpinyin.x86_64: W: spelling-error %description -l en_US Cloulpinyin -> Cloudiness
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha1sum)
d9337b344fbefde61689e0a5aa9f54530a6b6c71  fcitx-cloudpinyin-0.2.0.tar.bz2
d9337b344fbefde61689e0a5aa9f54530a6b6c71  ../SOURCES/fcitx-cloudpinyin-0.2.0.tar.bz2

+ Package : fcitx-cloudpinyin-0.2.0-1.fc17.x86_64
Provides: fcitx-cloudpinyin.so()(64bit)
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libcurl.so.4()(64bit) rtld(GNU_HASH)

Suggestions:-
1) Fix the rpmlint messages. 
  a) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-cloudpinyin.spec
  b) description lines should be of 80 characters.

2) If package is only for Fedora then no need to add
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package should add Requires: fcitx, fcitx-data

5) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

6) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

7) Add COPYING to %doc
Comment 2 Parag AN(पराग) 2012-05-15 01:58:26 EDT
This package also will need only
Requires: fcitx
Comment 3 Liang Suilong 2012-05-21 12:16:36 EDT
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-cloudpinyin.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-cloudpinyin-0.2.1-1.fc16.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4091875


(In reply to comment #1)
> Review:-
> + koji scratch build for f17 ->
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4024897
> 
> + rpmlint on rpms gave
> fcitx-cloudpinyin.src: W: spelling-error %description -l en_US Cloulpinyin
> -> Cloudiness
> fcitx-cloudpinyin.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1,
> tab: line 5)
> fcitx-cloudpinyin.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-cloudpinyin-0.2.0.tar.bz2 HTTP Error
> 404: Not Found
> fcitx-cloudpinyin.x86_64: W: spelling-error %description -l en_US
> Cloulpinyin -> Cloudiness
> 2 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> + Source verified with upstream as (sha1sum)
> d9337b344fbefde61689e0a5aa9f54530a6b6c71  fcitx-cloudpinyin-0.2.0.tar.bz2
> d9337b344fbefde61689e0a5aa9f54530a6b6c71 
> ../SOURCES/fcitx-cloudpinyin-0.2.0.tar.bz2
> 
> + Package : fcitx-cloudpinyin-0.2.0-1.fc17.x86_64
> Provides: fcitx-cloudpinyin.so()(64bit)
> Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit) libcurl.so.4()(64bit) rtld(GNU_HASH)
> 
> Suggestions:-
> 1) Fix the rpmlint messages. 
>   a) mixed-use-of-spaces-and-tabs message can be fixed using command
>      sed -i 's|\t| |g' fcitx-cloudpinyin.spec
>   b) description lines should be of 80 characters.

Fixed.

> 
> 2) If package is only for Fedora then no need to add
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)
> 

The packages will support EL-6
> 3) please don't use commands in macro that is change %{__mkdir} to "mkdir"
> 

Fixed

> 4) package should add Requires: fcitx, fcitx-data
> 

Fixed, add fcitx only

> 5) Use following commands in %build
> %cmake ..
> make VERBOSE=1 %{?_smp_mflags}
> 
Fixed

> 6) %install should preserve timestamp using 
>    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
>

Fixed

> 7) Add COPYING to %doc

Fixed
Comment 4 Parag AN(पराग) 2012-05-22 06:28:17 EDT
Looks good now.

APPROVED.
Comment 5 Liang Suilong 2012-05-22 12:29:42 EDT
New Package SCM Request
=======================
Package Name: fcitx-cloudpinyin
Short Description: Cloudpinyin module for fcitx
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 6 Gwyn Ciesla 2012-05-23 08:56:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-23 12:03:45 EDT
fcitx-cloudpinyin-0.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-cloudpinyin-0.2.1-1.fc16
Comment 8 Fedora Update System 2012-05-23 12:04:12 EDT
fcitx-cloudpinyin-0.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-cloudpinyin-0.2.1-1.fc17
Comment 9 Fedora Update System 2012-05-23 12:04:57 EDT
fcitx-cloudpinyin-0.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-cloudpinyin-0.2.1-1.fc15
Comment 10 Fedora Update System 2012-05-24 11:33:42 EDT
Package fcitx-cloudpinyin-0.2.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fcitx-cloudpinyin-0.2.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8286/fcitx-cloudpinyin-0.2.1-1.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-06-05 19:00:27 EDT
fcitx-cloudpinyin-0.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-06-05 19:07:35 EDT
fcitx-cloudpinyin-0.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-06-05 19:09:24 EDT
fcitx-cloudpinyin-0.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.